Skip to main content
`Ctrl`+`K`

# DMSwarmCellDMGetCoordinateFields

Returns the `DM` coordinate fields for the `DMSwarm`

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmCellDMGetCoordinateFields(DMSwarmCellDM celldm, PetscInt *Nfc, const char **names[])

Not Collective

## Input Parameter

- celldm - The `DMSwarmCellDM` object

## Output Parameters

- Nfc - The number of coordinate fields

- names - The array of coordinate field names in the `DMSWARM`

## See Also

`DMSwarmCellDM`, `DM`, `DMSwarmSetCellDM()`

## Level

intermediate

## Location

src/dm/impls/swarm/swarmpic.c

## Examples

src/ksp/ksp/tutorials/ex70.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages